use std::num::ParseIntError;

mod cloud;
mod cloud_security;
mod discover;
mod security;

fn hex(s: &str) -> Result<Vec<u8>, ParseIntError> {
    (0..s.len())
        .step_by(2)
        .map(|i| u8::from_str_radix(&s[i..i + 2], 16))
        .collect()
}

pub use cloud::Cloud;
pub use discover::{Device, DeviceInfo, Startup};
